View Issue Details

IDProjectCategoryView StatusLast Update
0013614FPCRTLpublic2010-03-06 21:13
ReporterTim Young Assigned ToYuriy Sydorov  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.2.5 
Target Version2.2.5Fixed in Version2.4.0 
Summary0013614: Windows CE/ARM Winsock Unit Declarations Incorrect Due to Packed Records
DescriptionThe winsock.pp unit for FPC for the Windows CE/ARM platform contains incorrect type declarations, and even something as simple as a connect() API call will fail with an 10014 error (WSAEFAULT) due to the Winsock layer complaining about the size of certain record structures.
Additional InformationThe following declaration is at the start of the unit:

{$PACKRECORDS 1}

And the two following declarations for the SunB and SunW record types are:

       SunB = record
          s_b1,s_b2,s_b3,s_b4 : u_char;
       end;

       SunW = record
         s_w1,s_w2 : u_short;
       end;

This is not correct. The PACKRECORDS compiler directive should be removed, and the two declarations should be:

       SunB = packed record
          s_b1,s_b2,s_b3,s_b4 : u_char;
       end;

       SunW = packed record
         s_w1,s_w2 : u_short;
       end;

Without these changes, the
TagsNo tags attached.
Fixed in Revision13083
FPCOldBugId
FPCTarget
Attached Files

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2009-04-30 01:22 Tim Young New Issue
2009-04-30 10:38 Jonas Maebe Status new => assigned
2009-04-30 10:38 Jonas Maebe Assigned To => Yuriy Sydorov
2009-05-02 16:24 Yuriy Sydorov Fixed in Revision => 13083
2009-05-02 16:24 Yuriy Sydorov Status assigned => resolved
2009-05-02 16:24 Yuriy Sydorov Fixed in Version => 2.3.1
2009-05-02 16:24 Yuriy Sydorov Resolution open => fixed
2009-05-02 16:24 Yuriy Sydorov Target Version => 2.2.5
2010-03-06 21:13 Jonas Maebe Status resolved => closed